[loggers]
keys=root,production,development

[handlers]
keys=root,production,development,console

[formatters]
keys=root,base,production,development

[handler_root]
class=logging.StreamHandler
formatter=root
args=()

[handler_production]
class=logging.FileHandler
formatter=base
args=('app.log', 'w')

[handler_development]
class=logging.FileHandler
formatter=base
args=('app-dev.log', 'w')

[formatter_root]
class=logging.Formatter
format=ROOT - %(asctime)s - [%(module)s:%(levelname)s] - %(message)s

[formatter_base]
class=logging.Formatter
format=%(asctime)s - [%(module)s:%(levelname)s] - %(message)s

[logger_root]
level=DEBUG
handlers=root
propagate=1

[logger_production]
level=WARNING
handlers=production
propagate=1

[logger_development]
level=WARNING
handlers=production
propagate=1
